#ifndef SYSTEMDAO_H
#define SYSTEMDAO_H

#include "BaseDao.h"

class SysUser {
public:
    QString id;
    QString name; // 名字
    QString deptId; // 部门id
    QString roleId;//角色ID
    QString role;//角色名称

    /******** tanyue 20240510添加 ********/
    QString account; // 登录用户名
    QString password; // 加密后密码
    QString salt; // 随机盐值

    // 用户关联的实验室和专业代码 用于权限控制
    QString labCode;
    QString groupCode;
};

class SystemDao : public BaseDao
{
public:
    SystemDao();

    void getUserRoleIdAndName(QString userId, QMap<QString, QVariant> &user);
    QString getStaffDeptIdByUserId(QString userId);

    QMap<QString, QVariant> getSysUserByAccount(QString account);

    QMap<QString, QString> getSysDictByCode(QString dictCode);
    QMap<QString, QString> getLabCodeDict();
    QMap<QString, QString> getGroupCodeDict();
    QMap<QString, QString> getEqptApprovalStatusDict();
    QMap<QString, QString> getTaskMeasureStatusDict();
};

#endif // SYSTEMDAO_H
